cURL
curl --request POST \
--url https://api.eka.care/abdm/uhi/v1/physical-consultation/booking/init \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"billing": {
"address": {
"city": "<string>",
"country": "<string>",
"door": "<string>",
"locality": "<string>",
"name": "<string>",
"state": "<string>"
},
"name": "<string>",
"phone": "<string>"
},
"doctor_id": "<string>",
"end_time": "<string>",
"facility_id": "<string>",
"price": {
"currency": "<string>",
"value": "<string>"
},
"provider_id": "<string>",
"slot_id": "<string>",
"start_time": "<string>",
"transaction_id": "<string>"
}
'import requests
url = "https://api.eka.care/abdm/uhi/v1/physical-consultation/booking/init"
payload = {
"billing": {
"address": {
"city": "<string>",
"country": "<string>",
"door": "<string>",
"locality": "<string>",
"name": "<string>",
"state": "<string>"
},
"name": "<string>",
"phone": "<string>"
},
"doctor_id": "<string>",
"end_time": "<string>",
"facility_id": "<string>",
"price": {
"currency": "<string>",
"value": "<string>"
},
"provider_id": "<string>",
"slot_id": "<string>",
"start_time": "<string>",
"transaction_id": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
billing: {
address: {
city: '<string>',
country: '<string>',
door: '<string>',
locality: '<string>',
name: '<string>',
state: '<string>'
},
name: '<string>',
phone: '<string>'
},
doctor_id: '<string>',
end_time: '<string>',
facility_id: '<string>',
price: {currency: '<string>', value: '<string>'},
provider_id: '<string>',
slot_id: '<string>',
start_time: '<string>',
transaction_id: '<string>'
})
};
fetch('https://api.eka.care/abdm/uhi/v1/physical-consultation/booking/init', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"order_id": "<string>",
"provider_id": "<string>",
"txn_id": "<string>"
}{
"code": 123,
"error": "<string>",
"source_error": {
"code": "<string>",
"message": "<string>"
}
}{
"code": 123,
"error": "<string>",
"source_error": {
"code": "<string>",
"message": "<string>"
}
}Physical Consultation
Init
This api is used to Initiate the Booking.
POST
/
abdm
/
uhi
/
v1
/
physical-consultation
/
booking
/
init
cURL
Authorizations
The API requires a Bearer token (JWT) for authentication.
Headers
Eka User ID (OID)
Partner User ID
Partner HIP ID
Body
application/json
Billing information for the appointment
Show child attributes
Show child attributes
Unique identifier of the doctor associated with the slot
End time of the appointment (24H format, ISO 8601 supported)
Optional facility or branch identifier if applicable
Price details of the consultation
Show child attributes
Show child attributes
Unique identifier of the healthcare provider or hospital
Unique identifier of the selected slot
Start time of the appointment (24H format, ISO 8601 supported)
Unique transaction identifier for slot booking received in the previous api response
Was this page helpful?
⌘I

